Skip to main content
Update workspace member role

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspace_slug
string
required

URL-friendly workspace identifier

Example:

"acme"

user_id
string<uuid>
required
Example:

"550e8400-e29b-41d4-a716-446655440000"

Body

application/json
role
enum<string>
required
Available options:
workspace_viewer,
workspace_editor,
workspace_admin

Response

Role updated

workId
string<uuid>

Workspace ID

Example:

"550e8400-e29b-41d4-a716-446655440000"

userId
string<uuid>
Example:

"550e8400-e29b-41d4-a716-446655440000"

role
enum<string>
Available options:
workspace_viewer,
workspace_editor,
workspace_admin
createdAt
string<date-time>
Example:

"2024-01-15T10:30:00Z"

updatedAt
string<date-time>
Example:

"2024-01-15T10:30:00Z"

Last modified on July 23, 2026